function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

export var STATIC = {
  dept: {
    title: '选择部门',
    rightTitle: '已选 组织',
    searchPlaceholder: '搜索组织名称'
  },
  person: {
    title: '选择人员',
    rightTitle: '已选 人员',
    searchPlaceholder: '搜索姓名'
  },
  deptPerson: {
    title: '选择部门和人员',
    rightTitle: '已选 组织和人员',
    searchPlaceholder: '搜索组织名称'
  }
}; // 初始面包屑

export var initBrandCrumb = [{
  orgId: '0',
  deptName: '组织架构'
}]; // 统一处理方法

export var dataHandle = function dataHandle(item) {
  var nodeType = item.nodeType,
      emp = item.emp,
      org = item.org,
      childrens = item.childrens;
  var isEmp = nodeType === 1;
  return _objectSpread(_objectSpread({
    deptName: isEmp ? (emp === null || emp === void 0 ? void 0 : emp.name) || (item === null || item === void 0 ? void 0 : item.empName) : (org === null || org === void 0 ? void 0 : org.name) || (item === null || item === void 0 ? void 0 : item.orgName),
    nodeType: nodeType,
    orgChain: isEmp ? (emp === null || emp === void 0 ? void 0 : emp.orgChain) || (item === null || item === void 0 ? void 0 : item.orgChain) : (org === null || org === void 0 ? void 0 : org.orgChain) || (item === null || item === void 0 ? void 0 : item.orgChain),
    iconType: isEmp ? 'employeesAreality' : 'organizationAreality',
    empId: (emp === null || emp === void 0 ? void 0 : emp.empId) || (item === null || item === void 0 ? void 0 : item.empId),
    orgId: (org === null || org === void 0 ? void 0 : org.orgId) || (item === null || item === void 0 ? void 0 : item.orgId),
    code: isEmp ? (emp === null || emp === void 0 ? void 0 : emp.employeeNumber) || (item === null || item === void 0 ? void 0 : item.employeeNumber) : (org === null || org === void 0 ? void 0 : org.code) || (item === null || item === void 0 ? void 0 : item.code),
    children: childrens,
    syncStatus: (emp === null || emp === void 0 ? void 0 : emp.syncStatus) || (org === null || org === void 0 ? void 0 : org.syncStatus) || item.syncStatus,
    tagStatus: isEmp ? (emp === null || emp === void 0 ? void 0 : emp.employeeStatus) || (item === null || item === void 0 ? void 0 : item.employeeStatus) : (org === null || org === void 0 ? void 0 : org.orgStatus) || (item === null || item === void 0 ? void 0 : item.orgStatus)
  }, org ? org : {}), emp ? emp : {});
}; // 获取处理之后的结果

export var getHandleData = function getHandleData(item) {
  var arr = item === null || item === void 0 ? void 0 : item.map(function (item) {
    var newItem = dataHandle(item);
    return _objectSpread({}, newItem);
  });
  return arr;
};
export var showDisabledParams = {
  showOrgStateList: ['enable', 'disable'],
  showPersonStateList: ['probation', 'formal', 'quitted']
};
export var defaultSelectParams = {
  showOrgStateList: ['enable'],
  showPersonStateList: ['probation', 'formal']
};