import type { BrandCrumbType, DataListType } from '../interface';

export interface StoreContextType {
  open: boolean;
  multiple?: boolean;
  type: 'dept' | 'person' | 'deptPerson';
  searchPlaceholder?: string;
  recurse?: boolean;
  disableNode?: { [key: string]: string };
  searchValue?: string;
  breadcrumbList: BrandCrumbType[];
  setLeftPartList: (params) => void;
  getList: (params) => void;
  setBreadcrumbList: (params) => void;
  searchData: Function;
  setSelectKeys: (params) => void;
  leftPartList: DataListType[];
  listMap: Map<string, any>;
  setSearchValue: (params) => void;
  selectKeys: string[];
  isCheck: { [key: string]: boolean };
  getSelectItem: (e, id, params) => void;
  searchLoading: boolean;
  showMore?: boolean;
  setShowParams: (params) => void;
  setIsChangeParams: (params) => void;
}
