import React from 'react';
import { Tag } from 'rlj-design';

var ShowTag = function ShowTag(_ref) {
  var item = _ref.item;
  var nodeType = item.nodeType,
      tagStatus = item.tagStatus;
  var text = '';

  if (tagStatus === 'quitted' && nodeType === 1) {
    text = '已离职 ';
  }

  if (tagStatus === 'disable' && nodeType !== 1) {
    text = '已停用';
  }

  return /*#__PURE__*/React.createElement(Tag, {
    type: "disabled",
    style: {
      marginLeft: 4,
      marginRight: 0
    }
  }, text);
};

export default ShowTag;