import type { ColumnsItemType } from '../interface';

export interface StoreContextType {
  selectFields: ColumnsItemType[];
  /** 未过滤status为remove的所有选中的字段 **/
  selectAllFields: ColumnsItemType[];
  setSelectAllFields?: (selectAllFields: ColumnsItemType[]) => void;
  defaultSelectFields: ColumnsItemType[];
  isMultipleDragGroup?: boolean;
  fieldsData: ColumnsItemType[];
  unDisableFields?: string[];
  disableFields: string[];
  checkedValueMap: Map<string, string[]>;
  setCheckedValueMap: (value: Map<string, string[]>) => void;
  fieldDragWidth?: number | string;
  groupSort?: boolean;
  setGroupSort?: (groupSort: boolean) => void;
  dragable?: boolean;
  groupDragable?: boolean;
}