function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { useContext } from 'react';
import { Icon } from 'rlj-design';
import classnames from 'classnames';
import { FilterContext } from "./Filter";
import { PREFIX_CLS } from "../constants/dictionary";
import "./style/filterBtn.less";
var prefixCls = "".concat(PREFIX_CLS, "-filter-btn");

var FilterBtn = function FilterBtn(_ref) {
  var _classnames;

  var children = _ref.children,
      open = _ref.open,
      setOpen = _ref.setOpen;

  var _ref2 = useContext(FilterContext) || {},
      hasData = _ref2.hasData;

  return /*#__PURE__*/React.createElement("div", {
    className: classnames(prefixCls, (_classnames = {}, _defineProperty(_classnames, "".concat(prefixCls, "-hover"), !(open || hasData)), _defineProperty(_classnames, "".concat(prefixCls, "-click"), open || hasData), _classnames)),
    onClick: function onClick() {
      return setOpen(!open);
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    style: {
      marginRight: 4
    },
    type: "screen"
  }), children);
};

export default FilterBtn;