import type { IdType, PaginationType, Sorter } from './base';
import type { ColDataType } from './display';
import { TableColumns, TableUnit } from './index';
export declare type OnChangeType = (pagination: PaginationType, filters: {
    address: any;
    name: any;
}, sorter: Sorter, extra: {
    currentDataSource: object[];
    action: 'sort' | 'paginate';
}) => void;
export declare type EditChangeType = (allChangeData: ColDataType['changeDataSource'], curChangeData: {
    curData: string;
    dataIndex: IdType;
    dataRowId: IdType;
}[], changeType: 'change' | 'delete' | 'add') => void;
export declare type ChangeTableTs = (data: {
    data: any;
    currentColumn: TableColumns<TableUnit>;
    currentData: TableUnit;
}, type: 'selectRow' | 'changeOneCellWidthDown' | 'changeOneCellWidthDate' | 'changeOneCellWidthInput' | 'delOneRow' | 'toggleRowExpand' | 'addOneData' | 'copyDrags') => void;
