import React from 'react';
import { Tag } from 'rlj-design';

var ShowTag = function ShowTag(_ref) {
  var item = _ref.item;
  var status = item.status;
  var text = '';

  if (status === 'disable') {
    text = '已停用';
  }

  return /*#__PURE__*/React.createElement(Tag, {
    type: "disabled",
    style: {
      marginLeft: 4,
      marginRight: 0
    }
  }, text);
};

export default ShowTag;