import { ModalFuncProps } from 'antd/lib/modal/Modal';
import { IModalWrapperProps } from './content';
import './index.less';
export interface IModalErrorProps extends Omit<ModalFuncProps, 'type' | 'title' | 'okText' | 'onOk' | 'cancelText' | 'onCancel'>, IModalWrapperProps {
}
declare const Basic: (props: IModalErrorProps) => {
    destroy: () => void;
    update: (configUpdate: ModalFuncProps | ((prevConfig: ModalFuncProps) => ModalFuncProps)) => void;
};
export { Basic };
