var _excluded = ["imgCropProps", "needCrop", "children"];

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import { Icon } from 'rlj-design';
import AttachmentUpload from "../AttachmentUpload";
import ImgCrop from 'antd-img-crop';
import "./style/index.less";

var ImageCrop = function ImageCrop(_ref) {
  var _ref$imgCropProps = _ref.imgCropProps,
      imgCropProps = _ref$imgCropProps === void 0 ? {} : _ref$imgCropProps,
      _ref$needCrop = _ref.needCrop,
      needCrop = _ref$needCrop === void 0 ? true : _ref$needCrop,
      children = _ref.children,
      restProps = _objectWithoutProperties(_ref, _excluded);

  return needCrop ? /*#__PURE__*/React.createElement(ImgCrop, _extends({
    aspectSlider: true,
    rotationSlider: true,
    showGrid: true,
    aspect: 16 / 9,
    modalProps: {
      closeIcon: /*#__PURE__*/React.createElement(Icon, {
        size: 16,
        type: "close"
      })
    },
    modalTitle: "\u7F16\u8F91\u56FE\u7247"
  }, imgCropProps), /*#__PURE__*/React.createElement(AttachmentUpload, restProps, children)) : /*#__PURE__*/React.createElement(AttachmentUpload, restProps, children);
};

export default ImageCrop;