/// <reference types="react" />
export interface ProgressProProps {
    /** 加载动画gif */
    loadingImg?: string;
    /** 加载提示 */
    loadingTip?: React.ReactNode;
    /** 暂停动画 */
    paused?: boolean;
    /** 初始加载进度百分比 */
    percent?: number;
    /** 加载完成时的回调，repeat为-1时无法触发 */
    onComplete?: () => void;
    /** 进度条动画速度，为0时直接完成，但此时repeat不能为-1并且onComplete会执行两次，因此想要直接完成，请将其设置为一个接近0的数 */
    speed?: number;
    /** 加载完成后需要展示的内容 */
    finishRender?: React.ReactNode;
}
