import React from 'react';
import './index.less';
import type { TableProps, TableUnit } from '../Interface';
import type { ExcelContextType } from '../Interface/redux';
export declare const ExcelContext: React.Context<ExcelContextType | null>;
interface IProps extends TableProps<TableUnit> {
    isHeaderChange: string;
    isDataEmpty: boolean;
}
declare const SalaryExcel: React.ForwardRefExoticComponent<IProps & React.RefAttributes<unknown>>;
export default SalaryExcel;
